
GammaLib - Action #3450

Implement OpenMP support in CTA response cube filling

11/17/2020 01:47 PM - Knödlseder Jürgen

Status: New Start date: 11/17/2020

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

OpenMP support should be implemented in GCTACubeExposure::fill(), GCTACubePsf::fill(), GCTACubeEdisp::fill() and

GCTACubeBackground::fill() so that cube filling for multiple observations is parallelised.

The corresponding ctools should get a nthreads parameter.

History

#1 - 11/17/2020 01:53 PM - Knödlseder Jürgen

- Tracker changed from Feature to Action

#2 - 03/14/2022 12:28 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
